diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/minstrel-wifi-manager.h ns-3.44/src/wifi/model/rate-control/minstrel-wifi-manager.h
--- ns-3.43/src/wifi/model/rate-control/minstrel-wifi-manager.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/minstrel-wifi-manager.h	2025-03-09 16:55:49.795372700 -0700
@@ -65,7 +65,7 @@
 typedef std::vector<std::vector<uint8_t>> SampleRate;
 
 /**
- * \brief hold per-remote-station state for Minstrel Wifi manager.
+ * @brief hold per-remote-station state for Minstrel Wifi manager.
  *
  * This struct extends from WifiRemoteStation struct to hold additional
  * information required by the Minstrel Wifi manager
@@ -103,8 +103,8 @@
 };
 
 /**
- * \brief Implementation of Minstrel Rate Control Algorithm
- * \ingroup wifi
+ * @brief Implementation of Minstrel Rate Control Algorithm
+ * @ingroup wifi
  *
  * Minstrel is a rate control algorithm implemented in MadWifi and Linux.
  * The basic principle is to probe the environment and adapt the rate
@@ -147,8 +147,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     MinstrelWifiManager();
@@ -161,74 +161,74 @@
     /**
      * Update the rate.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void UpdateRate(MinstrelWifiRemoteStation* station);
 
     /**
      * Update the Minstrel Table.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void UpdateStats(MinstrelWifiRemoteStation* station);
 
     /**
      * Find a rate to use from Minstrel Table.
      *
-     * \param station the station object
-     * \returns the rate in bps
+     * @param station the station object
+     * @returns the rate in bps
      */
     uint16_t FindRate(MinstrelWifiRemoteStation* station);
 
     /**
      * Get data transmit vector.
      *
-     * \param station the station object
-     * \returns WifiTxVector
+     * @param station the station object
+     * @returns WifiTxVector
      */
     WifiTxVector GetDataTxVector(MinstrelWifiRemoteStation* station);
 
     /**
      * Get RTS transmit vector.
      *
-     * \param station the station object
-     * \returns WifiTxVector
+     * @param station the station object
+     * @returns WifiTxVector
      */
     WifiTxVector GetRtsTxVector(MinstrelWifiRemoteStation* station);
 
     /**
      * Get the number of retries.
      *
-     * \param station the station object
-     * \returns the number of retries
+     * @param station the station object
+     * @returns the number of retries
      */
     uint32_t CountRetries(MinstrelWifiRemoteStation* station);
 
     /**
      * Update packet counters.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void UpdatePacketCounters(MinstrelWifiRemoteStation* station);
 
     /**
      * Update the number of retries and reset accordingly.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void UpdateRetry(MinstrelWifiRemoteStation* station);
 
     /**
      * Check for initializations.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void CheckInit(MinstrelWifiRemoteStation* station);
 
     /**
      * Initialize Sample Table.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void InitSampleTable(MinstrelWifiRemoteStation* station);
 
@@ -252,38 +252,49 @@
     void DoReportFinalDataFailed(WifiRemoteStation* station) override;
     WifiTxVector DoGetDataTxVector(WifiRemoteStation* station, MHz_u allowedWidth) override;
     WifiTxVector DoGetRtsTxVector(WifiRemoteStation* station) override;
+    std::list<Ptr<WifiMpdu>> DoGetMpdusToDropOnTxFailure(WifiRemoteStation* station,
+                                                         Ptr<WifiPsdu> psdu) override;
 
-    bool DoNeedRetransmission(WifiRemoteStation* st,
-                              Ptr<const Packet> packet,
-                              bool normally) override;
+    /**
+     * @param st the station that we need to communicate
+     * @param packet the packet to send
+     * @param normally indicates whether the normal 802.11 data retransmission mechanism
+     *        would request that the data is retransmitted or not.
+     * @return true if we want to resend a packet after a failed transmission attempt,
+     *         false otherwise.
+     *
+     * Note: This method is called after any unicast packet transmission (control, management,
+     *       or data) has been attempted and has failed.
+     */
+    bool DoNeedRetransmission(WifiRemoteStation* st, Ptr<const Packet> packet, bool normally);
 
     /**
      * Estimate the TxTime of a packet with a given mode.
      *
-     * \param mode Wi-Fi mode
-     * \returns the transmission time
+     * @param mode Wi-Fi mode
+     * @returns the transmission time
      */
     Time GetCalcTxTime(WifiMode mode) const;
     /**
      * Add transmission time for the given mode to an internal list.
      *
-     * \param mode Wi-Fi mode
-     * \param t transmission time
+     * @param mode Wi-Fi mode
+     * @param t transmission time
      */
     void AddCalcTxTime(WifiMode mode, Time t);
 
     /**
      * Initialize Minstrel Table.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void RateInit(MinstrelWifiRemoteStation* station);
 
     /**
      * Get the next sample from Sample Table.
      *
-     * \param station the station object
-     * \returns the next sample
+     * @param station the station object
+     * @returns the next sample
      */
     uint16_t GetNextSample(MinstrelWifiRemoteStation* station);
 
@@ -303,10 +314,10 @@
      *  - Data transmission
      *  - backoffs according to CW
      *
-     * \param dataTransmissionTime the data transmission time
-     * \param shortRetries short retries
-     * \param longRetries long retries
-     * \returns the unicast packet time
+     * @param dataTransmissionTime the data transmission time
+     * @param shortRetries short retries
+     * @param longRetries long retries
+     * @returns the unicast packet time
      */
     Time CalculateTimeUnicastPacket(Time dataTransmissionTime,
                                     uint32_t shortRetries,
@@ -315,14 +326,14 @@
     /**
      * Print Sample Table.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void PrintSampleTable(MinstrelWifiRemoteStation* station) const;
 
     /**
      * Print Minstrel Table.
      *
-     * \param station the station object
+     * @param station the station object
      */
     void PrintTable(MinstrelWifiRemoteStation* station);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/onoe-wifi-manager.cc ns-3.44/src/wifi/model/rate-control/onoe-wifi-manager.cc
--- ns-3.43/src/wifi/model/rate-control/onoe-wifi-manager.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/onoe-wifi-manager.cc	2025-03-09 16:55:49.799372700 -0700
@@ -20,7 +20,7 @@
 NS_LOG_COMPONENT_DEFINE("OnoeWifiManager");
 
 /**
- * \brief hold per-remote-station state for ONOE Wifi manager.
+ * @brief hold per-remote-station state for ONOE Wifi manager.
  *
  * This struct extends from WifiRemoteStation struct to hold additional
  * information required by the ONOE Wifi manager
@@ -50,7 +50,7 @@
             .AddConstructor<OnoeWifiManager>()
             .AddAttribute("UpdatePeriod",
                           "The interval between decisions about rate control changes",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&OnoeWifiManager::m_updatePeriod),
                           MakeTimeChecker())
             .AddAttribute("RaiseThreshold",
@@ -324,9 +324,9 @@
         }
     }
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     WifiMode mode = GetSupported(station, rateIndex);
     uint64_t rate = mode.GetDataRate(channelWidth);
@@ -353,9 +353,9 @@
     NS_LOG_FUNCTION(this << st);
     auto station = static_cast<OnoeWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     UpdateMode(station);
     WifiMode mode;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/onoe-wifi-manager.h ns-3.44/src/wifi/model/rate-control/onoe-wifi-manager.h
--- ns-3.43/src/wifi/model/rate-control/onoe-wifi-manager.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/onoe-wifi-manager.h	2025-03-09 16:55:49.799372700 -0700
@@ -18,10 +18,10 @@
 struct OnoeWifiRemoteStation;
 
 /**
- * \brief an implementation of the rate control algorithm developed
+ * @brief an implementation of the rate control algorithm developed
  *        by Atsushi Onoe
  *
- * \ingroup wifi
+ * @ingroup wifi
  *
  * This algorithm is well known because it has been used as the default
  * rate control algorithm for the madwifi driver. I am not aware of
@@ -36,8 +36,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     OnoeWifiManager();
@@ -67,13 +67,13 @@
     /**
      * Update the number of retry (both short and long).
      *
-     * \param station the ONOE wifi remote station
+     * @param station the ONOE wifi remote station
      */
     void UpdateRetry(OnoeWifiRemoteStation* station);
     /**
      * Update the mode.
      *
-     * \param station the ONOE wifi remote station
+     * @param station the ONOE wifi remote station
      */
     void UpdateMode(OnoeWifiRemoteStation* station);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/parf-wifi-manager.cc ns-3.44/src/wifi/model/rate-control/parf-wifi-manager.cc
--- ns-3.43/src/wifi/model/rate-control/parf-wifi-manager.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/parf-wifi-manager.cc	2025-03-09 16:55:49.799372700 -0700
@@ -314,9 +314,9 @@
     NS_LOG_FUNCTION(this << st << allowedWidth);
     auto station = static_cast<ParfWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     CheckInit(station);
     WifiMode mode = GetSupported(station, station->m_rateIndex);
@@ -350,13 +350,13 @@
 ParfWifiManager::DoGetRtsTxVector(WifiRemoteStation* st)
 {
     NS_LOG_FUNCTION(this << st);
-    /// \todo we could/should implement the ARF algorithm for
+    /// @todo we could/should implement the ARF algorithm for
     /// RTS only by picking a single rate within the BasicRateSet.
     auto station = static_cast<ParfWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     WifiMode mode;
     if (!GetUseNonErpProtection())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/parf-wifi-manager.h ns-3.44/src/wifi/model/rate-control/parf-wifi-manager.h
--- ns-3.43/src/wifi/model/rate-control/parf-wifi-manager.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/parf-wifi-manager.h	2025-03-09 16:55:49.799372700 -0700
@@ -17,7 +17,7 @@
 struct ParfWifiRemoteStation;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * PARF Rate control algorithm
  *
  * This class implements the PARF algorithm as described in
@@ -35,7 +35,7 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     ParfWifiManager();
@@ -66,7 +66,7 @@
 
     /** Check for initializations.
      *
-     * \param station The remote station.
+     * @param station The remote station.
      */
     void CheckInit(ParfWifiRemoteStation* station);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/rraa-wifi-manager.cc ns-3.44/src/wifi/model/rate-control/rraa-wifi-manager.cc
--- ns-3.43/src/wifi/model/rate-control/rraa-wifi-manager.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/rraa-wifi-manager.cc	2025-03-09 16:55:49.799372700 -0700
@@ -22,7 +22,7 @@
 NS_LOG_COMPONENT_DEFINE("RraaWifiManager");
 
 /**
- * \brief hold per-remote-station state for RRAA Wifi manager.
+ * @brief hold per-remote-station state for RRAA Wifi manager.
  *
  * This struct extends from WifiRemoteStation struct to hold additional
  * information required by the RRAA Wifi manager
@@ -120,8 +120,8 @@
         txVector.SetMode(mode);
         txVector.SetPreambleType(WIFI_PREAMBLE_LONG);
         /* Calculate the TX Time of the Data and the corresponding Ack */
-        Time dataTxTime = phy->CalculateTxDuration(m_frameLength, txVector, phy->GetPhyBand());
-        Time ackTxTime = phy->CalculateTxDuration(m_ackLength, txVector, phy->GetPhyBand());
+        Time dataTxTime = WifiPhy::CalculateTxDuration(m_frameLength, txVector, phy->GetPhyBand());
+        Time ackTxTime = WifiPhy::CalculateTxDuration(m_ackLength, txVector, phy->GetPhyBand());
         NS_LOG_DEBUG("Calculating TX times: Mode= " << mode << " DataTxTime= " << dataTxTime
                                                     << " AckTxTime= " << ackTxTime);
         AddCalcTxTime(mode, dataTxTime + ackTxTime);
@@ -347,9 +347,9 @@
     NS_LOG_FUNCTION(this << st << allowedWidth);
     auto station = static_cast<RraaWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     CheckInit(station);
     WifiMode mode = GetSupported(station, station->m_rateIndex);
@@ -377,9 +377,9 @@
     NS_LOG_FUNCTION(this << st);
     auto station = static_cast<RraaWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     WifiMode mode;
     if (!GetUseNonErpProtection())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/rraa-wifi-manager.h ns-3.44/src/wifi/model/rate-control/rraa-wifi-manager.h
--- ns-3.43/src/wifi/model/rate-control/rraa-wifi-manager.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/rraa-wifi-manager.h	2025-03-09 16:55:49.799372700 -0700
@@ -32,8 +32,8 @@
 typedef std::vector<std::pair<WifiRraaThresholds, WifiMode>> RraaThresholdsTable;
 
 /**
- * \brief Robust Rate Adaptation Algorithm
- * \ingroup wifi
+ * @brief Robust Rate Adaptation Algorithm
+ * @ingroup wifi
  *
  * This is an implementation of RRAA as described in
  * "Robust rate adaptation for 802.11 wireless networks"
@@ -48,8 +48,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -83,80 +83,80 @@
 
     /**
      * Check for initializations.
-     * \param station The remote station.
+     * @param station The remote station.
      */
     void CheckInit(RraaWifiRemoteStation* station);
     /**
      * Return the index for the maximum transmission rate for
      * the given station.
      *
-     * \param station the remote station
+     * @param station the remote station
      *
-     * \return the index for the maximum transmission rate
+     * @return the index for the maximum transmission rate
      */
     uint8_t GetMaxRate(RraaWifiRemoteStation* station) const;
     /**
      * Check if the counter should be reset.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void CheckTimeout(RraaWifiRemoteStation* station);
     /**
      * Find an appropriate rate for the given station, using
      * a basic algorithm.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void RunBasicAlgorithm(RraaWifiRemoteStation* station);
     /**
      * Activate the use of RTS for the given station if the conditions are met.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void ARts(RraaWifiRemoteStation* station);
     /**
      * Reset the counters of the given station.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void ResetCountersBasic(RraaWifiRemoteStation* station);
     /**
      * Initialize the thresholds internal list for the given station.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void InitThresholds(RraaWifiRemoteStation* station);
     /**
      * Get the thresholds for the given station and mode.
      *
-     * \param station the remote station
-     * \param mode the WifiMode
+     * @param station the remote station
+     * @param mode the WifiMode
      *
-     * \return the RRAA thresholds
+     * @return the RRAA thresholds
      */
     WifiRraaThresholds GetThresholds(RraaWifiRemoteStation* station, WifiMode mode) const;
     /**
      * Get the thresholds for the given station and mode index.
      *
-     * \param station the remote station
-     * \param index the mode index in the supported rates
+     * @param station the remote station
+     * @param index the mode index in the supported rates
      *
-     * \return the RRAA thresholds
+     * @return the RRAA thresholds
      */
     WifiRraaThresholds GetThresholds(RraaWifiRemoteStation* station, uint8_t index) const;
     /**
      * Get the estimated TxTime of a packet with a given mode.
      *
-     * \param mode the WifiMode
+     * @param mode the WifiMode
      *
-     * \return the estimated TX time
+     * @return the estimated TX time
      */
     Time GetCalcTxTime(WifiMode mode) const;
     /**
      * Add transmission time for the given mode to an internal list.
      *
-     * \param mode the WifiMode
-     * \param t transmission time
+     * @param mode the WifiMode
+     * @param t transmission time
      */
     void AddCalcTxTime(WifiMode mode, Time t);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/rrpaa-wifi-manager.cc ns-3.44/src/wifi/model/rate-control/rrpaa-wifi-manager.cc
--- ns-3.43/src/wifi/model/rate-control/rrpaa-wifi-manager.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/rrpaa-wifi-manager.cc	2025-03-09 16:55:49.799372700 -0700
@@ -149,8 +149,8 @@
         txVector.SetMode(mode);
         txVector.SetPreambleType(WIFI_PREAMBLE_LONG);
         /* Calculate the TX Time of the Data and the corresponding Ack */
-        Time dataTxTime = phy->CalculateTxDuration(m_frameLength, txVector, phy->GetPhyBand());
-        Time ackTxTime = phy->CalculateTxDuration(m_ackLength, txVector, phy->GetPhyBand());
+        Time dataTxTime = WifiPhy::CalculateTxDuration(m_frameLength, txVector, phy->GetPhyBand());
+        Time ackTxTime = WifiPhy::CalculateTxDuration(m_ackLength, txVector, phy->GetPhyBand());
         NS_LOG_DEBUG("Calculating TX times: Mode= " << mode << " DataTxTime= " << dataTxTime
                                                     << " AckTxTime= " << ackTxTime);
         AddCalcTxTime(mode, dataTxTime + ackTxTime);
@@ -391,9 +391,9 @@
     NS_LOG_FUNCTION(this << st << allowedWidth);
     auto station = static_cast<RrpaaWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     CheckInit(station);
     WifiMode mode = GetSupported(station, station->m_rateIndex);
@@ -429,9 +429,9 @@
     NS_LOG_FUNCTION(this << st);
     auto station = static_cast<RrpaaWifiRemoteStation*>(st);
     auto channelWidth = GetChannelWidth(station);
-    if (channelWidth > 20 && channelWidth != 22)
+    if (channelWidth > MHz_u{20} && channelWidth != MHz_u{22})
     {
-        channelWidth = 20;
+        channelWidth = MHz_u{20};
     }
     WifiMode mode;
     if (!GetUseNonErpProtection())
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/rrpaa-wifi-manager.h ns-3.44/src/wifi/model/rate-control/rrpaa-wifi-manager.h
--- ns-3.43/src/wifi/model/rate-control/rrpaa-wifi-manager.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/rrpaa-wifi-manager.h	2025-03-09 16:55:49.799372700 -0700
@@ -19,7 +19,7 @@
 struct RrpaaWifiRemoteStation;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Robust Rate and Power Adaptation Algorithm
  *
  * This class implements the RRPAA algorithm as described in <i>Rate, Power and Carrier-Sense
@@ -65,7 +65,7 @@
   public:
     /**
      * Register this type.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     RrpaaWifiManager();
@@ -79,9 +79,9 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
+     * @param stream first stream index to use
      *
-     * \return the number of stream indices assigned by this model
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
@@ -109,77 +109,77 @@
 
     /**
      * Check for initializations.
-     * \param station the remote station.
+     * @param station the remote station.
      */
     void CheckInit(RrpaaWifiRemoteStation* station);
 
     /**
      * Check if the counter should be reset.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void CheckTimeout(RrpaaWifiRemoteStation* station);
     /**
      * Find an appropriate rate and power for the given station, using
      * a basic algorithm.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void RunBasicAlgorithm(RrpaaWifiRemoteStation* station);
     /**
      * Run an enhanced algorithm which activates the use of RTS
      * for the given station if the conditions are met.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void RunAdaptiveRtsAlgorithm(RrpaaWifiRemoteStation* station);
     /**
      * Reset the counters of the given station.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void ResetCountersBasic(RrpaaWifiRemoteStation* station);
 
     /**
      * Initialize the thresholds internal list for the given station.
      *
-     * \param station the remote station
+     * @param station the remote station
      */
     void InitThresholds(RrpaaWifiRemoteStation* station);
 
     /**
      * Get the thresholds for the given station and mode.
      *
-     * \param station the remote station
-     * \param mode the WifiMode
+     * @param station the remote station
+     * @param mode the WifiMode
      *
-     * \return the RRPAA thresholds
+     * @return the RRPAA thresholds
      */
     WifiRrpaaThresholds GetThresholds(RrpaaWifiRemoteStation* station, WifiMode mode) const;
 
     /**
      * Get the thresholds for the given station and mode index.
      *
-     * \param station the remote station
-     * \param index the mode index in the supported rates
+     * @param station the remote station
+     * @param index the mode index in the supported rates
      *
-     * \return the RRPAA thresholds
+     * @return the RRPAA thresholds
      */
     WifiRrpaaThresholds GetThresholds(RrpaaWifiRemoteStation* station, uint8_t index) const;
 
     /**
      * Get the estimated TxTime of a packet with a given mode.
      *
-     * \param mode the WifiMode
+     * @param mode the WifiMode
      *
-     * \return the estimated TX time
+     * @return the estimated TX time
      */
     Time GetCalcTxTime(WifiMode mode) const;
     /**
      * Add transmission time for the given mode to an internal list.
      *
-     * \param mode the WifiMode
-     * \param t transmission time
+     * @param mode the WifiMode
+     * @param t transmission time
      */
     void AddCalcTxTime(WifiMode mode, Time t);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/thompson-sampling-wifi-manager.cc ns-3.44/src/wifi/model/rate-control/thompson-sampling-wifi-manager.cc
--- ns-3.43/src/wifi/model/rate-control/thompson-sampling-wifi-manager.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/thompson-sampling-wifi-manager.cc	2025-03-09 16:55:49.799372700 -0700
@@ -112,7 +112,7 @@
     // Add HT, VHT or HE MCSes
     for (const auto& mode : GetPhy()->GetMcsList())
     {
-        for (MHz_u j = 20; j <= GetPhy()->GetChannelWidth(); j *= 2)
+        for (MHz_u j{20}; j <= GetPhy()->GetChannelWidth(); j *= 2)
         {
             WifiModulationClass modulationClass = WIFI_MOD_CLASS_HT;
             if (GetVhtSupported())
@@ -151,11 +151,11 @@
             if (stats.mode.GetModulationClass() == WIFI_MOD_CLASS_DSSS ||
                 stats.mode.GetModulationClass() == WIFI_MOD_CLASS_HR_DSSS)
             {
-                stats.channelWidth = 22;
+                stats.channelWidth = MHz_u{22};
             }
             else
             {
-                stats.channelWidth = 20;
+                stats.channelWidth = MHz_u{20};
             }
             stats.nss = 1;
             station->m_mcsStats.push_back(stats);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/rate-control/thompson-sampling-wifi-manager.h ns-3.44/src/wifi/model/rate-control/thompson-sampling-wifi-manager.h
--- ns-3.43/src/wifi/model/rate-control/thompson-sampling-wifi-manager.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/rate-control/thompson-sampling-wifi-manager.h	2025-03-09 16:55:49.799372700 -0700
@@ -17,8 +17,8 @@
 {
 
 /**
- * \brief Thompson Sampling rate control algorithm
- * \ingroup wifi
+ * @brief Thompson Sampling rate control algorithm
+ * @ingroup wifi
  *
  * This class implements Thompson Sampling rate control algorithm.
  *
@@ -29,8 +29,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     ThompsonSamplingWifiManager();
@@ -69,7 +69,7 @@
      * Initializes station rate tables. If station is already initialized,
      * nothing is done.
      *
-     * \param station Station which should be initialized.
+     * @param station Station which should be initialized.
      */
     void InitializeStation(WifiRemoteStation* station) const;
 
@@ -82,32 +82,32 @@
      * to tell which mode was used for succeeded/failed frame when
      * feedback is received.
      *
-     * \param station Station for which a new mode should be drawn.
+     * @param station Station for which a new mode should be drawn.
      */
     void UpdateNextMode(WifiRemoteStation* station) const;
 
     /**
      * Applies exponential decay to MCS statistics.
      *
-     * \param st Remote STA for which MCS statistics is to be updated.
-     * \param i MCS index.
+     * @param st Remote STA for which MCS statistics is to be updated.
+     * @param i MCS index.
      */
     void Decay(WifiRemoteStation* st, size_t i) const;
 
     /**
      * Returns guard interval for the given mode.
      *
-     * \param st Remote STA
-     * \param mode The WifiMode
-     * \return the guard interval
+     * @param st Remote STA
+     * @param mode The WifiMode
+     * @return the guard interval
      */
     Time GetModeGuardInterval(WifiRemoteStation* st, WifiMode mode) const;
 
     /**
      * Sample beta random variable with given parameters
-     * \param alpha first parameter of beta distribution
-     * \param beta second parameter of beta distribution
-     * \return beta random variable sample
+     * @param alpha first parameter of beta distribution
+     * @param beta second parameter of beta distribution
+     * @return beta random variable sample
      */
     double SampleBetaVariable(uint64_t alpha, uint64_t beta) const;
 
